
WaitRender();


function gameinput(sender,obj_id,attachedID)
	if SLevel==1.0 then return; end;
		 if (sender == 1  or sender==5) and not isTimes  and imagetex~=-1 then
			set_visible_object(obj.plashechka.id,false)
			set_visible_object(obj[imagetex].id,false)
			del_object_from_game(5654547)		
			gameinput(26,imageid)			
			
	end
	if sender == 2 then
		RemoveFromMouse(object);
		MessageProc(sender,obj_id);
	return;end;	
	
	if sender ==41 then	
	RotateHandler(obj_id);		
	if obj_id ==obj.dragonfly.id then	
	StartAnimation( 5555555555,1,5 );
	return;end;
	return;end;
	
	
	

	if sender == 33 then 	
	if not flags.finish then
		flags.finish = false;
			ShowMenu(true);
			SwitchToSheet("re");
			if flags.items_collected then
			SwitchToSheet("gr");
			end
		return end		
	return;end;
---------------------------------------------	

if sender==777 then
	--старт локации
			if flags.comics then	
			StartTimer(43342,0.5,"conv19")
			function conv19()
					CreatePlashechka(79,"102","goodgirl")		
			end					
			
				ShowMenu(true)
				SwitchToSheet("re")
				flags.comics=false;
			return;end
--старт миини	
	if not flags.mini_complete and flags.start_mini then
 		leafobj={2234}
		GetRenderTarget(2234,"rendertar");	
		mininame="mini";
		mininum1=19;
		mininum2=10;
		mininame2="vhod_olimp";
		
 return;end;
 if top_plush_id then		
		ShowMenu(true)
		end	
	end
	

	if sender == 100 then
	

--добавление спичек и ключа в инвентарь	
if  not flags.kluch and not flags.spichki then
	flags.kluch= true;
	AddElement(sheet,obj.kluch19_1.id);
	MoveObjectToTree(obj.kluch19_1.id);
	
	obj.kluch19_1.is_stored = true;	

end	

if not flags.spichki then

	AddElement(sheet,obj.spichki.id);
	MoveObjectToTree(obj.spichki.id);
	obj.spichki.is_stored = true;	
	flags.spichki= true;
end


		
--колапсися ключ если вышли с игры	
if flags.startcolorcollapse then		
	set_pixel_check(obj.kluch19.id   ,  false       );
	set_visible_object(obj.kluch19.id,true);
	ColorCallaps(obj.kluch19.id,100,3);	
	playeffect("107",true)
	flags.comics2=false;
	CreatePolygon(88,4,"Object")
	Set_Cursor(88,4);	
	speciale_action(4,88)
	-- ShowPolygon(88,true)
end;

	
----При первой загрузке		
		if flags.first_time_load then
			
				flags.first_time_load=false
			set_visible_object(obj.intro.id,true);
			speciale_action(4,obj.intro.id);
			flags.start_draw = false;
		return; end;
---------------------------------------------------------
	
		
		
end;  -- 100 сендер
	
	
if sender == 1 then

--аттачим ключ к его копие
	if obj_id ==88 then
		if scaner_on then
						CreatePlashechka(9999,"70","goodgirl")
		return;end;
		if attachedID == obj.kluch19_1.id then
			set_visible_object(obj.kluch19.id,false);
			speciale_action(2,obj.kluch19_2.id,true);	
			RemoveFromMouse(obj.kluch19_1.id);
			SwitchToSheet("gr")		
			StopEffect("107")
			UnStoreObj(obj.kluch19_1.id);
			playeffect("108");
			StartTimer(1030,1);	
			flags.setkluch=true;
			flags.start_mini=true;
			set_visible_object(88,false)
			--takeobjecttohand=false
		else
		StartTimer(777,0.1);
	return;end;
return;end;
---Предметы поиска--------------
if obj_id >obj.brelok19.id - 1 and obj_id < obj.rukzak19.id +1 and attachedID==-1 then
		if scaner_on then
						CreatePlashechka(9999,"70","goodgirl")
		return;end;

		flags.items = flags.items +1;
		CollapseObj(obj_id);
	if flags.items ==15  then 
		flags.items_collected=true;   
		Object={445,240,560,240,560,320,445,320}
		CreatePolygon(88,4,"Object")
	   StartTimer(1010,0.5); 
	   flags.comics2=true; 
	 end;
	 end;
 

end; --сендер 1


----Клик в меню--------------------------		
	if sender == 14 then 		
		-- takeobjecttohand=true
		addObjectToMouse(obj_id);		
	 return; end; 
------------------------------------------

	if sender==26 then
--после сообщения сратует коллапс ключа
		if obj_id ==60 then		
			-- set_pixel_check(obj.kluch19.id ,false);
			-- set_visible_object(obj.kluch19.id,true);
			-- ColorCallaps(obj.kluch19.id,100,2.5);	
			-- speciale_action(10,obj.kluch19.id)
			-- playeffect("107");
			-- flags.setkluch=true;	
			-- speciale_action(4,obj.kluch19.id);
			-- StartTimer(10300,1.5);
			-- BlockCursor(true)
			-- flags.startcolorcollapse	=true
			-- Object={445,240,560,240,560,320,445,320}
			-- CreatePolygon(88,4,"Object")
			-- Set_Cursor(88,4)	
			-- speciale_action(4,88)			
			-- imageid=234343;
		end
--после сообщения создается полигон чтоб прилепить ключ		
		if obj_id ==61 then			
			set_pixel_check(obj.kluch19.id   ,  false       );	
			
		end
		
		if obj_id ==80 then
			CreatePlashechka(81,"113","badman")			
		end;
		if obj_id ==81 then
			CreatePlashechka(82,"114","badgirl")			
		end;
		if obj_id ==82 then	
			RemoveFromMouse(obj.spichki.id)
			ClosePlushes()
			HideGlove()
			HideScaner()
		flags.start_mini=true
		end;

end
		
---------Таймер-------------------------	
	if sender == 36 then	
			
		-- if obj_id==222 then
			-- playmus()
			-- StartTimer(222,2)
		-- return;end
		
		
		if obj_id ==10300 then	
			BlockCursor(false)
			-- CreatePlashechka(61,"110","goodgirl")		
		return;end	
		if obj_id ==777 and flags.setkluch then
		CreatePlashechka(99999,"500","goodgirl")	
	
		end

		if  obj_id ==1010 then 
			if flags.comics2 then					
				CreatePlashechka(60,"108","goodgirl")		
					set_pixel_check(obj.kluch19.id ,false);
			set_visible_object(obj.kluch19.id,true);
			ColorCallaps(obj.kluch19.id,100,2.5);	
			speciale_action(10,obj.kluch19.id)
			playeffect("107",true);
			flags.setkluch=true;	
			speciale_action(4,obj.kluch19.id);
			StartTimer(10300,1.5);
			BlockCursor(true)
			flags.startcolorcollapse	=true
			
			Set_Cursor(88,4)	
			speciale_action(4,88)			
			imageid=234343;
			return;end;				
		return;end;

		if obj_id ==1030 then
			CreatePlashechka(80,"111","goodgirl")	
			canmenu=true
		return;end;
           
           
return; end;
--------------------------------------------


 ------------правая кнопка мыши----------------- 
if sender == 8 then			
			takeobjecttohand=false
			HideGlove();	
			HideScaner();
			HideRentgen()
			HideNvg();			
return end;

end; --гейм инпут
-----------------------------------------------

function SelectRandom()
local dist=-1;local a=-1;local b=-1;local v=100;local t=-1;local diag=-1;
local width = -1;local height = -1;local radius=1.2;
		

		if flags.items_collected  then
			computation(88);
		return;end
	
	ok = false
	while not ok do
		help_id = GetRandomObject();
		for i,v in pairs(obj) do
			if v.id == help_id and not v.is_collapsed then
				ok = true
				x,y=GetObjectPosition(v.id);
				x1,y1=GetObjectPosition(obj.dragonfly.id);
				width,height = GetObjectSize(v.id)
				a= (x-x1); b= (y-y1);  dist= math.sqrt (a^2+b^2);				
		        t=dist/400;		
                r = (math.sqrt(width^2+height^2)*0.5);		
				
				if r<50 then	r=75;	radius=4;	end  -- при радиусе меньше 50 определяем время кружения и радиус стрекозы
				
				if r>50 and r <100 then	r=87 radius=2.5;  end  --при радиусе больше 50 и меньше 100
				
				if r>100 then 	r=100 	radius=0.75;  end  -- при радиусе больше 100
				
			StartBigTravel(obj.dragonfly.id, v.id, 0, t, r/90, t, 2 ,radius);
			return end
		end
	end
end;
